<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_cross_circle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginEnd="10dp"
        android:background="@drawable/shape_8dp_white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_close">

        <TextView
            android:id="@+id/textView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:text="输入图形验证码"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/et_code"
            android:layout_width="@dimen/dp_150"
            android:layout_height="@dimen/dp_45"
            android:layout_marginStart="@dimen/dp_14"
            android:layout_marginTop="@dimen/dp_17"
            android:background="@drawable/shape_gray_5dp"
            android:ems="10"
            android:gravity="center_vertical"
            android:hint="输入验证码"
            android:paddingStart="11dp"
            android:textColor="@color/black_444"
            android:textColorHint="@color/gray_AA"
            android:textSize="@dimen/dp_16"
            app:layout_constraintRight_toLeftOf="@+id/iv_code"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView" />

        <ImageView
            android:id="@+id/iv_code"
            android:layout_width="@dimen/dp_84"
            android:layout_height="@dimen/dp_30"
            android:layout_marginStart="@dimen/dp_4"
            android:layout_marginEnd="@dimen/dp_10"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            app:layout_constraintBottom_toBottomOf="@+id/et_code"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/et_code"
            app:layout_constraintTop_toTopOf="@+id/et_code" />

        <TextView
            android:id="@+id/tv_refresh"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="@dimen/dp_19"
            android:text="看不清？换一换"
            android:textColor="@color/gray_AA"
            android:textSize="@dimen/dp_12"
            app:layout_constraintLeft_toLeftOf="@+id/iv_code"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/iv_code"
            app:layout_constraintTop_toBottomOf="@id/et_code" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>